%define	origname TwistedRunner

Name: python-module-twisted-runner
Version: 10.1.0
Release: alt1
%setup_python_module twisted-runner
Summary:        Twisted Runner process management library and inetd replacement

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com/trac/wiki/TwistedRunner
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Runner/10.1/%origname-%version.tar.bz2


BuildRequires:  python-devel
BuildRequires:  python-module-twisted-core >= 10.1.0

Requires:       python-module-twisted-core

%description
Twisted is an event-based framework for internet applications.

Twisted Runner contains code useful for persistent process management
with Python and Twisted, and has an almost full replacement for inetd.

%package tests
Summary: Tests for Twisted Runner
Group: Development/Python
Requires: %name = %version-%release

%description tests
Twisted is an event-based framework for internet applications.

Twisted Runner contains code useful for persistent process management
with Python and Twisted, and has an almost full replacement for inetd.

This package contains tests for Twisted Runner.

%prep
%setup -n %origname-%version

%build
%python_build

%install
python setup.py install -O1 --root $RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%python_sitelibdir/twisted/runner/portmap.c

%files
%doc README LICENSE NEWS

%python_sitelibdir/twisted/runner/
%exclude %python_sitelibdir/twisted/runner/test
%python_sitelibdir/twisted/plugins/*
%python_sitelibdir/Twisted_Runner-*.egg-info

%files tests
%python_sitelibdir/twisted/runner/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Added tests

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Mon Oct 19 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- new version 8.2.0

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.2.0-alt1
- Build for new upstream version
